﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataChartXYLineCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for (int i = 0; i <= 100; i++)
            {
                Data.Add(new SampleData()
                {
                    XValue = r.Next(100),
                    YValue = r.Next(100),
                    StraightX = i,
                    StraightY = i
                });
            }
        }
    }

    public class SampleData
    {
        public int XValue { get; set; }
        public int YValue { get; set; }
        public int StraightY { get; set; }
        public int StraightX { get; set; }
    }
}
